package main

import (
	"opslag.de/schobers/geom"
)

type entity struct {
	typ entityType
	pos geom.Point
	scr entityLoc
}

type entityLoc struct {
	pos geom.PointF32
	z   float32
}

func newEntity(typ entityType, pos geom.Point) *entity {
	return &entity{typ, pos, entityLoc{pos.ToF32(), 0}}
}
